EDIT - feature request #6568
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate perspectives
04/19/2017 07:20 AM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

Associated revisions

Revision 92ff410d - 07/07/2017 03:09 PM - Patrick Plitzner

ref #6568 Replace e3 perspective switcher with e4 alternative

Revision faeOba51 - 10/12/2017 01:22 PM - Patrick Plitzner

ref #6568 Migrate taxonomic perspective

Revision bOb8da6c - 10/27/2017 12:53 PM - Patrick Plitzner
fix #6568 Migrate perspectives

Revision 68e736a4 - 10/31/2017 09:13 AM - Patrick Plitzner

ref #6568 Adjust space ratios for perspectives

Revision c4dc2ad6 - 10/31/2017 12:13 PM - Patrick Plitzner

ref #6568 Adjust space ratios for navigator

Revision b1d0969b - 11/06/2017 08:43 AM - Patrick Plitzner
ref #6568, #6925 Switch product to pure e4
e add navigation part stack

Revision 6a6¢c8c84 - 11/06/2017 09:42 AM - Patrick Plitzner

ref #6568 Migrate taxonomic perspective

Revision 41c85b8b - 11/06/2017 10:39 AM - Patrick Plitzner
ref #6568, #6925 Convert PartDescriptors to parts, add to perspectives

Revision be5f1¢c58 - 11/16/2017 04:56 PM - Patrick Plitzner
ref #6568 Add perspective switcher

Revision efb6bb74 - 11/17/2017 11:52 AM - Patrick Plitzner

ref #6568 Enhance perspective switcher

e Use icons instead of combo
¢ add polytomous and derivative perspective

Revision 0da360d2 - 02/06/2018 03:55 PM - Patrick Plitzner
ref #6568 Add working set perspective

Revision 61fadfde - 02/13/2018 01:14 PM - Patrick Plitzner
ref #6568 Add WS icon for WS perspective
History

#1 - 04/19/2017 07:20 AM - Patrick Plitzner

- Subject changed from Migrate perspecitves to Migrate perspectives

#2 - 05/04/2017 02:03 PM - Andreas Miiller
- Tags set to eclipse4
- Priority changed from New to Highest

- Target version changed from Release 4.7 to Reviewed Next Major Release

#3 - 10/27/2017 12:54 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|bOb8da6ccf96efa69f889f75b1cb0f66358309a1.

#4 - 10/27/2017 12:54 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#5 - 10/27/2017 12:57 PM - Patrick Plitzner

- Status changed from Resolved to Feedback

The perspectives should work like before but they are still using e3

#6 - 04/27/2018 11:57 PM - Andreas Miller

- Assignee changed from Andreas Muiller to Patrick Plitzner

what does this mean. Should it be reviewed or is there still some work to do?

#7 - 05/07/2018 04:02 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

The perspectives were not migrated to e4 but | adapted them a little. Maybe just take a quick look if all views are present, at the correct position and
with the expected size. Then we can close this ticket.

#8 - 05/07/2018 04:02 PM - Patrick Plitzner

- Target version changed from Reviewed Next Major Release to Release 5.0

#9 - 05/15/2018 11:48 AM - Andreas Miiller
- File picture486-1.png added

- Assignee changed from Andreas Muiller to Patrick Plitzner

For me the perspective selector does also show the "Team Synchronizing" perspective (see attachment). It would be nice if we could remove this as it
is not related to EDIT but a base feature from eclipse that we do not need.

#10 - 05/15/2018 11:51 AM - Patrick Plitzner

Andreas Muller wrote:

For me the perspective selector does also show the "Team Synchronizing" perspective (see attachment). It would be nice if we could remove
this as it is not related to EDIT but a base feature from eclipse that we do not need.

Did you test this with the nightly release?

#11 - 05/15/2018 11:52 AM - Andreas Miiller
- % Done changed from 50 to 80

All the rest seems fine.
Except for the fact, that the view positions are not automatically stored anymore when closing the TaxEditor. We had discussed that this will work
again after full e4 migration. But as we will not 100% migrate for now, we will need another solution. Is there a ticket for this already? Can you link it?

#12 - 05/15/2018 11:52 AM - Andreas Miiller
Patrick Plitzner wrote:
Andreas Miiller wrote:
For me the perspective selector does also show the "Team Synchronizing" perspective (see attachment). It would be nice if we could
remove this as it is not related to EDIT but a base feature from eclipse that we do not need.

Did you test this with the nightly release?

Yes. Todays build.

#13 - 05/16/2018 08:05 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

Andreas Muller wrote:
Patrick Plitzner wrote:
Andreas Muller wrote:

For me the perspective selector does also show the "Team Synchronizing" perspective (see attachment). It would be nice if we could
remove this as it is not related to EDIT but a base feature from eclipse that we do not need.

Did you test this with the nightly release?

Yes. Todays build.

Could you test once if moving/renaming the .cdmlibrary folder solves this issue?
#14 - 05/16/2018 09:42 AM - Patrick Plitzner
@AM: or could you do a search for workbench.xmi in your installation folder and in your home folder. It seems like some perspectives are cached in

this file. | had the same problem when starting from my workspace.

#15 - 05/16/2018 12:18 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Patrick Plitzner

Deleting .cdmLibrary solved the problem. Deleting workbench.xmi in installation folder did not. workbench.xmi in home folder did not exist.

#16 - 05/16/2018 02:10 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

| close this ticket as this only occurs in rare cases and it is not critical if other perspectives are shown. The general problem of the cached workspace
modelwill be handled here #6745

Files

picture486-1.png 7.89 KB 05/15/2018 Andreas Muller
